(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15549,        481]
NotebookOptionsPosition[     14488,        447]
NotebookOutlinePosition[     14833,        462]
CellTagsIndexPosition[     14790,        459]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"m", "[", "1", "]"}], ":=", 
  RowBox[{"l1", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"\[Theta]1", "[", "t", "]"}], "]"}], ",", 
     RowBox[{"Cos", "[", 
      RowBox[{"\[Theta]1", "[", "t", "]"}], "]"}]}], 
    "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", "[", "2", "]"}], ":=", 
  RowBox[{
   RowBox[{"m", "[", "1", "]"}], "+", 
   RowBox[{"l2", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"\[Theta]2", "[", "t", "]"}], "]"}], ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"\[Theta]2", "[", "t", "]"}], "]"}]}], "}"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.442233147046875*^9, 3.44223324984375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"speed", "[", "m_", "]"}], ":=", 
  RowBox[{"Sqrt", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"m", ",", "t"}], "]"}], ".", 
    RowBox[{"D", "[", 
     RowBox[{"m", ",", "t"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.442233268109375*^9, 3.442233328578125*^9}}],

Cell[BoxData[
 RowBox[{"v1", "=", 
  RowBox[{
   RowBox[{"speed", "[", 
    RowBox[{"m", "[", "1", "]"}], "]"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.44223333509375*^9, 3.442233358796875*^9}}],

Cell[BoxData[
 RowBox[{"v2", "=", 
  RowBox[{
   RowBox[{"speed", "[", 
    RowBox[{"m", "[", "2", "]"}], "]"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.44223336828125*^9, 3.44223337053125*^9}}],

Cell[BoxData[
 RowBox[{"T", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], "m1", " ", 
     SuperscriptBox["v1", "2"]}], "+", 
    RowBox[{
     FractionBox["1", "2"], "m2", " ", 
     SuperscriptBox["v2", "2"]}]}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.442233403015625*^9, 3.442233462671875*^9}}],

Cell[BoxData[
 RowBox[{"U", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "m1"}], " ", "g", " ", 
    RowBox[{
     RowBox[{"m", "[", "1", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "-", 
   RowBox[{"m2", " ", "g", " ", 
    RowBox[{
     RowBox[{"m", "[", "2", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.442233472484375*^9, 3.4422335413125*^9}}],

Cell[BoxData[
 RowBox[{"L", "=", 
  RowBox[{
   RowBox[{"T", "-", "U"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.442233560546875*^9, 3.44223358128125*^9}}],

Cell[BoxData[
 RowBox[{"<<", "VariationalMethods`"}]], "Input",
 CellChangeTimes->{{3.442233610015625*^9, 3.44223362396875*^9}}],

Cell[BoxData[
 RowBox[{"Eeq", "=", 
  RowBox[{"EulerEquations", "[", 
   RowBox[{"L", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]1", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]2", "[", "t", "]"}]}], "}"}], ",", "t"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.44223362790625*^9, 3.442233665375*^9}, {
  3.442233736703125*^9, 3.442233738421875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"val", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "\[Rule]", "9.8"}], ",", 
     RowBox[{"l1", "\[Rule]", "1"}], ",", 
     RowBox[{"l2", "\[Rule]", "1"}], ",", 
     RowBox[{"m1", "\[Rule]", "1"}], ",", 
     RowBox[{"m2", "\[Rule]", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"init", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Theta]1", "[", "0", "]"}], "\[Equal]", "1.5"}], ",", 
     RowBox[{
      RowBox[{"\[Theta]2", "[", "0", "]"}], "\[Equal]", "3"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Theta]1", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Theta]2", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], 
    "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.442233679625*^9, 3.442233715546875*^9}, {
  3.442233764359375*^9, 3.4422338345*^9}}],

Cell[BoxData[
 RowBox[{"nds", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Eeq", ",", "init"}], "}"}], "/.", "val"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]1", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]2", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.442233843125*^9, 3.442233899578125*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Theta]1", "[", "t", "]"}], "/.", "nds"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.442233911015625*^9, 3.4422339339375*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Theta]2", "[", "t", "]"}], "/.", "nds"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.442233948734375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"m1pt", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"l1", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"\[Theta]1", "[", "t", "]"}], "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"Cos", "[", 
         RowBox[{"\[Theta]1", "[", "t", "]"}], "]"}]}]}], "}"}]}], "/.", 
    "nds"}], "/.", "val"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m2pt", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"l1", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"\[Theta]1", "[", "t", "]"}], "]"}], ",", 
        RowBox[{"-", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Theta]1", "[", "t", "]"}], "]"}]}]}], "}"}]}], "+", 
     RowBox[{"l2", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"\[Theta]2", "[", "t", "]"}], "]"}], ",", 
        RowBox[{"-", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Theta]2", "[", "t", "]"}], "]"}]}]}], "}"}]}]}], "/.", 
    "nds"}], "/.", "val"}]}]}], "Input",
 CellChangeTimes->{{3.4422339711875*^9, 3.442234136953125*^9}, {
  3.442234503375*^9, 3.44223450996875*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"m1pt", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4422341456875*^9, 3.442234225125*^9}, 
   3.4422345154375*^9}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"m2pt", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.4422342428125*^9, 3.44223452028125*^9}],

Cell[BoxData[
 RowBox[{"end1", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"m1pt", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "10", ",", ".5"}], "}"}]}], "]"}], ",", 
    "1"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4422344481875*^9, 3.442234566140625*^9}, {
  3.442234616671875*^9, 3.44223462721875*^9}}],

Cell[BoxData[
 RowBox[{"end2", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"m2pt", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "10", ",", ".5"}], "}"}]}], "]"}], ",", 
    "1"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.442234641234375*^9, 3.44223464409375*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
          RowBox[{"Circle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", 
             RowBox[{"-", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"-", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", 
             RowBox[{"-", "2"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"end1", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"end2", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
          RowBox[{"PointSize", "[", ".04", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
          RowBox[{"PointSize", "[", ".04", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"end1", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", "0", ",", "1"}], "]"}], ",", 
          RowBox[{"PointSize", "[", ".04", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"end2", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"Length", "[", "end1", "]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4422346578125*^9, 3.442235057765625*^9}, {
  3.4422351819375*^9, 3.44223522915625*^9}}],

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
          RowBox[{"Circle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", 
             RowBox[{"-", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"-", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", 
             RowBox[{"-", "2"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"end1", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"end2", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
          RowBox[{"PointSize", "[", ".04", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
          RowBox[{"PointSize", "[", ".04", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"end1", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", "0", ",", "1"}], "]"}], ",", 
          RowBox[{"PointSize", "[", ".04", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"end2", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"Length", "[", "end1", "]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.44223525259375*^9, 3.44223525778125*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 401},
WindowMargins->{{Automatic, 275}, {28, Automatic}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 73, 1, 31, "Input"],
Cell[621, 23, 716, 22, 52, "Input"],
Cell[1340, 47, 316, 9, 31, "Input"],
Cell[1659, 58, 209, 5, 31, "Input"],
Cell[1871, 65, 208, 5, 31, "Input"],
Cell[2082, 72, 336, 10, 47, "Input"],
Cell[2421, 84, 400, 12, 31, "Input"],
Cell[2824, 98, 169, 4, 31, "Input"],
Cell[2996, 104, 128, 2, 31, "Input"],
Cell[3127, 108, 372, 10, 31, "Input"],
Cell[3502, 120, 908, 26, 52, "Input"],
Cell[4413, 148, 461, 13, 31, "Input"],
Cell[4877, 163, 269, 7, 31, "Input"],
Cell[5149, 172, 247, 7, 31, "Input"],
Cell[5399, 181, 1192, 37, 72, "Input"],
Cell[6594, 220, 267, 7, 31, "Input"],
Cell[6864, 229, 243, 6, 31, "Input"],
Cell[7110, 237, 399, 11, 31, "Input"],
Cell[7512, 250, 352, 10, 31, "Input"],
Cell[7867, 262, 2923, 80, 192, "Input"],
Cell[10793, 344, 2879, 79, 192, "Input"],
Cell[13675, 425, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
